package com.sunxung.factoring.entity.signconfirmation;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.FileStorage;

import java.util.List;

/**
 * <p>
 * --签署确认审核表
 * </p>
 *
 * @author liutao
 * @since 2023-05-16
 */
@TableName("sign_confirmation_approval")
public class SignConfirmationApproval extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 豁免事项跟进和付款关系表Id
     */
    @TableField("sign_confirmation_id")
    private Long signConfirmationId;

    /**
     * 通过pass/退回back
     */
    @TableField("approval_conclusion")
    private String approvalConclusion;

    /**
     * 审批意见
     */
    @TableField("approval_comments")
    private String approvalComments;

    @TableField(exist = false)
    private String taskId;

    @TableField(exist = false)
    private Long businessKey;

    @TableField(exist = false)
    private List<FileStorage> fileStorages;

    public List<FileStorage> getFileStorages() {
        return fileStorages;
    }

    public void setFileStorages(List<FileStorage> fileStorages) {
        this.fileStorages = fileStorages;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Long getBusinessKey() {
        return businessKey;
    }

    public void setBusinessKey(Long businessKey) {
        this.businessKey = businessKey;
    }

    public Long getSignConfirmationId() {
        return signConfirmationId;
    }

    public void setSignConfirmationId(Long signConfirmationId) {
        this.signConfirmationId = signConfirmationId;
    }
    public String getApprovalConclusion() {
        return approvalConclusion;
    }

    public void setApprovalConclusion(String approvalConclusion) {
        this.approvalConclusion = approvalConclusion;
    }
    public String getApprovalComments() {
        return approvalComments;
    }

    public void setApprovalComments(String approvalComments) {
        this.approvalComments = approvalComments;
    }

    @Override
    public String toString() {
        return "SignConfirmationApproval{" +
            "signConfirmationId=" + signConfirmationId +
            ", approvalConclusion=" + approvalConclusion +
            ", approvalComments=" + approvalComments +
        "}";
    }
}
